Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3564)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3565)
@@ -28,7 +28,6 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.internalview.core.functions.InternalView;
-import org.txm.internalview.core.preferences.InternalViewPreferences;
 import org.txm.internalview.rcp.messages.InternalViewUIMessages;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 3564)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 3565)
@@ -8,6 +8,7 @@
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.utils.logger.Log;
 
 /**
  * Opens an internal view editor.
@@ -39,7 +40,7 @@
 			internalView = (InternalView) selection;
 		}
 		else {
-			System.out.println(InternalViewUIMessages.errorColonSelectionIsNotACorpus);
+			Log.warning(InternalViewUIMessages.errorColonSelectionIsNotACorpus);
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3564)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3565)
@@ -175,7 +175,7 @@
 	 * @param selection
 	 */
 	protected boolean logCanNotExecuteCommand(Object selection) {
-		Log.severe(StatsEngineCoreMessages.bind(StatsEngineCoreMessages.CanNotExecuteTheP0CommandWithTheP1Selection, this.getClass(), selection)); //$NON-NLS-2$ //$NON-NLS-3$
+		Log.severe(StatsEngineCoreMessages.bind(StatsEngineCoreMessages.CanNotExecuteTheP0CommandWithTheP1Selection, this.getClass(), selection));
 		return false;
 	}
 	
Index: TXM/trunk/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- TXM/trunk/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 3564)
+++ TXM/trunk/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 3565)
@@ -100,15 +100,15 @@
 			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT);
 			if (str.length() == 0) {
 				try {
-					StructuralUnit struct = this.getCorpus().getStructuralUnit("text");
+					StructuralUnit struct = this.getCorpus().getStructuralUnit("text"); //$NON-NLS-1$
 					if (struct != null) {
 						this.pStructuralUnit = struct;
 					}
-					struct = this.getCorpus().getStructuralUnit("div");
+					struct = this.getCorpus().getStructuralUnit("div"); //$NON-NLS-1$
 					if (struct != null) {
 						this.pStructuralUnit = struct;
 					}
-					struct = this.getCorpus().getStructuralUnit("p");
+					struct = this.getCorpus().getStructuralUnit("p"); //$NON-NLS-1$
 					if (struct != null) {
 						this.pStructuralUnit = struct;
 					}
@@ -304,11 +304,16 @@
 	
 	@Override
 	public String getSimpleName() {
-		try {
-			return this.pStructuralUnit.getName() + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		if(!this.hasBeenComputedOnce()) {
+			return null;
 		}
-		catch (Exception e) {
-			return this.getEmptyName();
+		else {
+			try {
+				return this.pStructuralUnit.getName() + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			}
+			catch (Exception e) {
+				return null;
+			}
 		}
 	}
 	
